Branch "Challenge" - Candidate for Release 2.8.1. - for testing [OBSOLETE]

...
How to install and play:

(With advised 2-Plot-City-Radius. Otherwise for 1-Plot-City-Radius, also see below.)
  • First you need the get branch "Challenge" that can be downloaded here. (Use the "Download as ZIP"- option at the big green "Code" button on the right.)
  • It is basically the mod you need copy to mod folder of Civ4Col (but does not contain the DLL yet) - but of course you first need to extract the ZIP.
  • To play it you will also need a current DLL, which can be downloaded from this post here.
  • The post contains both alternatives 2-Plot-City-Radius-DLL and 1-Plot-City-Radius-DLL. You will need only the version you want to play with.
  • It is a .7z and you need to extract it first to get to the DLL inside. (e.g. by using 7Zip or newer version of WinRaR)
  • Then you will need to copy that DLL into the "/Assets" folder of the mod
To play this version you must start a new game.
It is NOT save game compatible.

Have fun playing. :thumbsup:
And if you have feedback or find issues, please post in this thread....

As the time waiting for the official 2.8.1 grows longer I grew impatient and wanted to try out the new changes.
I deleted all savegames just in case, and then followed the steps you give above (installing only the 2plotcityradius).

Starting a game results in an error:

upload_2020-11-23_21-15-9.png
 
As the time waiting for the official 2.8.1 grows longer I grew impatient and wanted to try out the new changes.

You need to get both:
The branch "Challenge" from GIT and the new DLL for Branch "Challenge" (linked in the instructions you quoted).

If you get just the DLL for Branch "Challenge" it will crash.
And of course only branch "Challenge" will work with that DLL (newer branches will not).

DLL and branch (containing all the rest of the mod) need to match.

----

"Challenge" is working for everybody else (100+ downloads). :dunno:
So if you exactly followed these instructions, there should be no issue. :confused:

----

Edit:

Maybe post a screenshot of your installation path of WTP.
Also post the path to the DLL.
 
Last edited:
You need to get both:
The branch "Challenge" from GIT and the new DLL for Branch "Challenge" (linked in the instructions you quoted).

If you get just the DLL for Branch "Challenge" it will crash.
And of course only branch "Challenge" will work with that DLL (newer branches will not).

DLL and branch (containing all the rest of the mod) need to match.

----

"Challenge" is working for everybody else (100+ downloads). :dunno:
So if you exactly followed these instructions, there should be no issue. :confused:

----

Edit:

Maybe post a screenshot of your installation path of WTP.
Also post the path to the DLL.

On my PC the mod is located in
E:\User1\My Games\Sid Meier's Civilization IV Colonization\MODS\WethePeople
and the game in
J:\Firaxis Games\Sid Meier's Civilization IV Colonization

Version 2.8 worked before I tried to try out the new changes.

As far as I understand I did exactly what you describe. Just in case that I did somehow not - how could I easily check if the files in the mods folders are the old 2.8 files or the newer "challenge branch" files?

Edit: The error appears every time I try to start the game. However it does not prevent the game to get to the starting menu.

Edit2: When I ignore the missionary position error and start a new game I get strange events in the first turn. A tax rise from 0 to 1% immediately and a strange settler message:

upload_2020-11-23_22-53-16.png
 
Last edited:
in your case:

the mod must be in the game folder
J:\Firaxis Games\Sid Meier's Civilization IV Colonization\Mods\

DLL must be in the folder
J:\Firaxis Games\Sid Meier's Civilization IV Colonization\Mods\WethePeople\Assets\
 
in your case:

the mod must be in the game folder
J:\Firaxis Games\Sid Meier's Civilization IV Colonization\Mods\

DLL must be in the folder
J:\Firaxis Games\Sid Meier's Civilization IV Colonization\Mods\WethePeople\Assets\

Exactly! :thumbsup:

The DLL must be placed in the "\Assets" folder of the mod.
If you place it in the "\Assets" folder of the base game, you will break your installation.

If you accidently placed the DLL in "\Assets" folder of the base game,
please do a clean reinstallation of the game and the mod.

You need to precisely follow my instructions, then it should work. :thumbsup:
 
There is no, and never has been, any "MODS" subfolder on
J:\Firaxis Games\Sid Meier's Civilization IV Colonization\
only the unchanged game.

And all mods - including WtP 2.8 that did run fine before - always were in
E:\User1\My Games\Sid Meier's Civilization IV Colonization\MODS\
for WtP in:
E:\User1\My Games\Sid Meier's Civilization IV Colonization\MODS\WethePeople
and the DLL I did place, I think in
E:\User1\My Games\Sid Meier's Civilization IV Colonization\MODS\WethePeople\Assets

Now, if I would want to check if the right DLL is in that place, how do I recognize it?
Are those the right characteristics of the branch DLL?
upload_2020-11-24_17-37-29.png
 
There is no, and never has been, any "MODS" subfolder on
J:\Firaxis Games\Sid Meier's Civilization IV Colonization\
only the unchanged game.
Modders usually create it there but you can use the "Mods" folder in the "User" directory as well just like you did.
(You have 2 possible locations for the "mods" folder - directly in game directory or user directory - it does not really matter)

E:\User1\My Games\Sid Meier's Civilization IV Colonization\MODS\WethePeople
and the DLL I did place, I think in
E:\User1\My Games\Sid Meier's Civilization IV Colonization\MODS\WethePeople\Assets
That is correct as well and should work. :thumbsup:

Now, if I would want to check if the right DLL is in that place, how do I recognize it?

Simply get the DLL from this post.
But again, you need to download the complete Branch "Challenge" first.
(Delete your old WTP directory and create a new one.)

Maybe it was just a "caching issue" though.
If the error does not appear anymore and the game works, everything should be fine. :)

-----

I can just tell you it works for everybody else ... :dunno:
If it absolutely does not work, maybe try a clean reinstall.

-----

By the way:
The date of "Last Change" (07. October) is correct, so it seems you have the right DLL.
If you also have the right branch "Challenge" and put the DLL in the location you said, everything should work.

To be sure:


Really completely delete your current WTP mod folder.
Get the ZIP for "Challenge" and create a completely new mod folder for WTP and put the DLL into "Assets" folder inside the new WTP mod folder.
Do not try to keep anything from the old installation.
 
Last edited:
Typo?
upload_2020-11-27_18-13-52.png


In the leader description under "Determined" the last effect usually would end with "Rebel Sentiment" and has the Strength symbol instead?
 

Attachments

  • upload_2020-11-26_21-40-0.png
    upload_2020-11-26_21-40-0.png
    2.7 MB · Views: 50
Typo?
View attachment 576631

In the leader description under "Determined" the last effect usually would end with "Rebel Sentiment" and has the Strength symbol instead?

I think Strength might be correct. For example, in endgame naval battles Ships of the Line get a big strength boost from rebel sentiment. The concepts are related but they're not the same.

At first I just assumed it was a typo and looked to see where I could change it. It wasn't in LeaderHeadInfo or the other likely documents in the Text file so it will take some searching.

I don't think a change is necessary this time but it would be good to know the code location if something like this comes up in future.
 
I think Strength might be correct.
It more or less is. :)

So I guess it is ok to leave it that way.
(It is a bit shorter and would not use 2 lines in the Screen)

It is just not that direct "technically" when talking about "Rebel Strength".
"Revolutionary Rate"
-- increases --> "Rebel Strength" modifier
-- as just one factor of overall --> "Strength" (using "ICON_STRENGTH")

-----------

@Kendon
The simplest way to find things is unsing "Text Search" ("Find in Files") in the XML files for texts.
(I suggest getting a good text editor like "Notepad++" - which is free and my favourite.)

Othewise it is basically just understanding what is displayed.
"Determined" is a Trait -> So the TXT_KEY entry should also be one related toTraits.

In this case it is here:
CIV4GameText_RaR_Release1_utf8.xml
TXT_KEY_TRAIT_REBEL_COMBAT_MOD

In most cases the text used for Traits are however here:
XML_AUTO_UTF8_TraitInfo.xml
 
Last edited:
hello,
is it still possible to find the "challenge" still seems the github page is nowhere to be found ....
i do have the 2 DLL

many thanks!!!
 
thanks for your help! would i still need to replace the DLL file in /assets with this latest build 3.0.1?
many thanks!
great you guys (girls too) still working to make this very enjoyable game!!
 
Top Bottom